/*******************************************************************************
*
* Fichier de structures pour Mustang .
*
* v.0		02/03/92 .
*******************************************************************************/
typedef struct E_groupe 
{ 
 int label;
 struct E_groupe *next;
} *p_groupe;

typedef struct E2_groupe 
{ 
 int label;
 int val;
 struct E2_groupe *next;
} *p2_groupe;
p_groupe O_set;
p_groupe N_set;

int *nwS;
int *nwO;
int *wf;
int *wp;

p2_groupe *wcm;

extern int numberNodeMultiBdd();
extern int numNode();
extern int *numNodeEtat();
extern int *asp_poidEtat();
extern p2_groupe delFrom2group();
extern p_groupe delFromgroup();
extern p_groupe stateGeneration();
extern p2_groupe addTo2group();
extern p_groupe addTogroup();
extern void initializeMuse(); 
extern void musePoidFutur();
extern void musePoidPresent();
extern void musePrePoidPresent();
extern int *museChoix();
extern void museCodage();
extern void displayWhiteOut() ;
extern void displayWhiteState() ;
